| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bsymcomp.cpp File Reference

Finds the best orientation that fits a symmetrized template. More...

`#include "rwimg.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Finds the best orientation that fits a symmetrized template.

Author
  Bernard Heymann

Date
  Created: 20070516
  Modified: 20150806

Definition in file bsymcomp.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 42 of file bsymcomp.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bsymcomp [options] input.img output.img",
"----------------------------------------------",
"Finds the best orientation that fits a symmetrized template.",
"The output is the rotated input image.",
" ",
"Parameters:",
"-verbose 1 Verbosity of output",
"-datatype u Force writing of a new data type.",
"-sampling 1.5,1.5,1.5 Sampling (A/pixel; default from input file; a single value can be given).",
"-origin 110,50,44 Origin for rotations of the template (default taken from template image).",
"-angles 8.8,2.5,5.2 Step size for alpha, theta and phi, one value sets all (default 45 degrees).",
"-shift 0.5,3,-2.3 Shift to apply before symmetrization.",
"-symmetry C5 Point group symmetry.",
"-fill 0.02 Fill value (default image background).",
" ",
"Input:",
"-Template image.map Template with symmetry to search for.",
" ",
NULL
}

Definition at line 18 of file bsymcomp.cpp.

## ◆ verbose

int verbose